Bug 218494 - lang/pbasic fixes to re-enable build, obviating BROKEN_aarch64=Fails to link: missing sbrk
Summary: lang/pbasic fixes to re-enable build, obviating BROKEN_aarch64=Fails to link:...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2017-04-08 15:46 UTC by jhs
Modified: 2018-06-19 09:47 UTC (History)
2 users (show)

See Also:


Attachments
svn-diff-pbasic (2.04 KB, patch)
2018-02-10 15:41 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jhs 2017-04-08 15:46:16 UTC
I am maintainer. Please commit my 3 replacement files
Makefile
distinfo
pkg-descr
from
http://www.berklix.com/~jhs/src/bsd/fixes/freebsd/ports/gen/lang/pbasic/
To make port build again.

The port was previously disabled with
BROKEN_aarch64= Fails to link: missing sbrk

cc 
"Julian Stacey" <jhs@berklix.com>
"Mark Linimon" <linimon@lonesome.com>
"Phil Cockcroft" <phil@cockcroft.de>
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-02-10 15:41:56 UTC
Created attachment 190483 [details]
svn-diff-pbasic

Poudriere tests ok for 10.4amd64/i386 and 11.1amd64.
Comment 2 Kurt Jaeger freebsd_committer 2018-06-19 09:46:19 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2018-06-19 09:47:05 UTC
A commit references this bug:

Author: pi
Date: Tue Jun 19 09:46:12 UTC 2018
New revision: 472777
URL: https://svnweb.freebsd.org/changeset/ports/472777

Log:
  lang/pbasic: update 2.0 -> 2.1, unbreak, add LICENSE

  PR:		218494
  Submitted by:	jhs@berklix.com (maintainer)

Changes:
  head/lang/pbasic/Makefile
  head/lang/pbasic/distinfo
  head/lang/pbasic/pkg-descr